import bs4
import requests
import os
from dotenv import load_dotenv

load_dotenv()

# Access environment variables using os.environ
url = os.environ.get('FHMZBIH')

AQ_value = requests.get(url)
AQ_value_soup = bs4.BeautifulSoup(AQ_value.text, 'lxml')

i = 0
with open('index.html', 'w') as f:
    for x in AQ_value_soup.select('tr td'):
        f.write(str(i)+" "+str(x) + "\n")
        i = i+1

class Sarajevo:
    def __init__(self):
        AQ_value = requests.get(url)
        AQ_value_soup = bs4.BeautifulSoup(AQ_value.text, 'lxml')
        self.bjelave_pm25 = AQ_value_soup.select('tr td')[27].text
        self.otoka_pm25 = AQ_value_soup.select('tr td')[52].text
        self.vogosca_pm25 = AQ_value_soup.select('tr td')[68].text
